Loading...
Searching...
No Matches
libdar::database_dump_options Class Reference
API

options to write a database to file More...

`#include <database_options.hpp>`

## Public Member Functions

| database_dump_options (const database_dump_options &ref)=default
| database_dump_options (database_dump_options &&ref) noexcept=default
database_dump_options & | operator= (const database_dump_options &ref)=default
database_dump_options & | operator= (database_dump_options &&ref) noexcept=default
void | clear ()
void | set_overwrite (bool value)
| overwrite option
bool | get_overwrite () const

## Private Attributes

bool | x_overwrite

## Detailed Description

options to write a database to file

Definition at line 102 of file database_options.hpp.

## Constructor & Destructor Documentation

## database_dump_options()

libdar::database_dump_options::database_dump_options | ( |  | ) |

inline

Definition at line 105 of file database_options.hpp.

## Member Function Documentation

## clear()

void libdar::database_dump_options::clear | ( |  | ) |

inline

Definition at line 112 of file database_options.hpp.

## get_overwrite()

bool libdar::database_dump_options::get_overwrite | ( |  | ) | const

inline

Definition at line 123 of file database_options.hpp.

## set_overwrite()

void libdar::database_dump_options::set_overwrite | ( | bool | value | ) |

inline

overwrite option

Parameters

  [in] | value | whether we can overwrite the file if it already exists

Definition at line 120 of file database_options.hpp.

## Member Data Documentation

## x_overwrite

bool libdar::database_dump_options::x_overwrite

private

Definition at line 126 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp